"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DetectStyledImportName;

/* eslint-disable no-param-reassign */

/**
 * This Visitor checks if import of `@linaria/react` was renamed and stores that information in state
 */
function DetectStyledImportName({
  types: t
}, path, state) {
  if (!t.isLiteral(path.node.source, {
    value: '@linaria/react'
  })) {
    return;
  }

  path.node.specifiers.forEach(specifier => {
    if (!t.isImportSpecifier(specifier)) {
      return;
    }

    if (specifier.local.name !== specifier.imported.name) {
      state.file.metadata.localName = specifier.local.name;
    }
  });
}
//# sourceMappingURL=DetectStyledImportName.js.map